Subject: bug#58269: 29.0.50; emacsclient: does not understand that default face was changed

From: Jean Louis <[email-masked]>
Date: Wed, 5 Oct 2022 22:01:09 +0300

* Eli Zaretskii <[email-masked]> [2022-10-03 20:03]:
> > From: Jean Louis <[email-masked]>
> > Date: Mon, 03 Oct 2022 12:43:44 +0300
> > 
> > 
> > I have not experienced this problem before. Usually I change default
> > face height to 120.
> > 
> > And I am using emacsclient. I have not before experienced that after
> > changing default face height that emacsclient does not take it in
> > consideration and keeps using the previous face height.
> > 
> > That is what is happening now in development version. emacsclient when
> > invoked, it does not understand the default face height. It uses
> > previous one.
> 
> Please describe in detail:
> 
>   . how did you change the default face's height

By M-x customize-face RET default RET

>   . how did you invoke emacsclient

>From mutt in Xterm

> I tried to reproduce this in a way that I would do the above, but
> couldn't reproduce: I see the enlarged face in display triggered by
> emacsclient.  So something else is at work here, and it hides in the
> details you haven't described.

I have described what I knew and could observe it. I can't know why
this happened. Now I have compiled new Emacs version and can't yet
observe it.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/